Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core.config
Class BasicConfigManager<T>

    java.lang.Object
      org.pentaho.di.core.config.BasicConfigManager<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  ConfigManager<T>

Direct Known Subclasses:
  AnnotatedJobConfigManager, AnnotatedStepsConfigManager, DatabaseConfigManager, DigesterConfigManager

    public abstract class BasicConfigManager<T>

extends Object
implements ConfigManager<T>

A base class for `ConfigManager` to derive from.

Author:
  Alex Silva

Constructor Summary
`BasicConfigManager()`

Method Summary
`String` | `getId()`
`
`<E> Collection<E>`
` | `loadAs(Class<? extends E> type)` Similar to load(), but allows callers to dynamically cast the underlying collection to a specific type.
`void` | `setId(String id)` Allows callers to set the id for this manager

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.core.config.ConfigManager
`load`

Constructor Detail

### BasicConfigManager

    public BasicConfigManager()

Method Detail

### getId

    public String getId()

  Specified by:
    `getId` in interface `ConfigManager<T>`
  Returns:
    The unique id for this manager

### setId

    public void setId(String id)

  Description copied from interface: `ConfigManager`
  Allows callers to set the id for this manager

  Specified by:
    `setId` in interface `ConfigManager<T>`

### loadAs

    public <E> Collection<E> loadAs(Class<? extends E> type)
                         throws org.pentaho.di.core.exception.KettleConfigException

  Description copied from interface: `ConfigManager`
  Similar to load(), but allows callers to dynamically cast the underlying collection to a specific type. This is useful for callers who are instantiating this class dynamically and don't know the expected return type until load is called.

  Specified by:
    `loadAs` in interface `ConfigManager<T>`
  Type Parameters:
    `E` - The type of the objects managed by this implementation.
  Parameters:
    `type` - A class representing this type.
  Returns:
    A collection of the parameters.
  Throws:
    `org.pentaho.di.core.exception.KettleConfigException` - If a loading problem occurs. Implementations are also required to throw this exception if cannot be cast to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD